Create task black-forest-labs/flux-1.1-pro-ultra
Official documentation: https://replicate.com/black-forest-labs/flux-1.1-pro-ultra
POST
/replicate/v1/models/black-forest-labs/flux-1.1-pro-ultra/predictionsBody Parametersapplication/json
input object
Input content
properties aspect_ratio string
The aspect ratio of the generated image, default value: "1:1".
image_prompt_strength number
A mix between prompts and image prompts. Minimum value: 0, maximum value: 1.
output_format string
The format of the output image. Default value: "jpg".
prompt* string
Image-generated text prompts.
raw boolean
Produces less processed, more natural images. Default value: false.
safety_tolerance integer
Safety tolerance. 1 is the strictest and 6 is the loosest. Default value: 2.
Responses
200 application/json
response-200 object
properties input* object
Input content
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"input": {
3"aspect_ratio": "3:2",
4"image_prompt_strength": 0.1,
5"output_format": "jpg",
6"prompt": "a majestic snow-capped mountain peak bathed in a warm glow of the setting sun",
7"raw": false,
8"safety_tolerance": 2
9}
10}
1curl -X POST "https://api.digislash.com/replicate/v1/models/black-forest-labs/flux-1.1-pro-ultra/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"aspect_ratio": "3:2",
7"image_prompt_strength": 0.1,
8"output_format": "jpg",
9"prompt": "a majestic snow-capped mountain peak bathed in a warm glow of the setting sun",
10"raw": false,
11"safety_tolerance": 2
12}
13}'
1▼{
2"created_at": "2025-07-29T05:45:44.464Z",
3"data_removed": false,
4"id": "brgfcps121rm80crajvr2x4jg4",
5▼"input": {
6"aspect_ratio": "3:2",
7"image_prompt_strength": 0.1,
8"output_format": "jpg",
9"prompt": "a majestic snow-capped mountain peak bathed in a warm glow of the setting sun",
10"raw": false,
11"safety_tolerance": 2
12},
13"logs": "",
14"model": "black-forest-labs/flux-1.1-pro-ultra",
15"status": "starting",
16▼"urls": {
17"cancel": "https://api.replicate.com/v1/predictions/brgfcps121rm80crajvr2x4jg4/cancel",
18"get": "https://api.replicate.com/v1/predictions/brgfcps121rm80crajvr2x4jg4",
19"stream": "https://stream.replicate.com/v1/files/bcwr-bx7iokgbhtcqohbyy7i5lnli25grd3mhcljqvwxliud4o7ov7mgq",
20"web": "https://replicate.com/p/brgfcps121rm80crajvr2x4jg4"
21},
22"version": "hidden"
23}
